Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class InferenceCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.InferenceCommand<E,P,C,K,H,S>

Type Parameters:
  `E` -
  `P` -
  `C` -
  `H` -

Direct Known Subclasses:
  PostCommand, RemoveCommand, RetractCommand

    public abstract class InferenceCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends Object

Events posted by handlers are wrapped into instances of this class. Inference commands are queued or processed immediately depending on inference policy. Inference commands are filtered by InferenceCommandFilter before being applied to event store and posted to further dispatching.

Constructor Summary
`protected` | `InferenceCommand(K handlerId, EventHandler<E,P,C,H,S> handler, AbstractEventBus.Handle<E,P,C,K>[] inputs, InferenceContext<E,P,C,K,H,S> inferenceContext)`

Method Summary
`EventHandler<E,P,C,H,S>` | `getHandler()`
`K` | `getHandlerId()`
`InferenceContext<E,P,C,K,H,S>` | `getInferenceContext()`
`AbstractEventBus.Handle<E,P,C,K>[]` | `getInputs()`
`void` | `setInferenceContext(InferenceContext<E,P,C,K,H,S> inferenceContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InferenceCommand

    protected InferenceCommand(K handlerId,
                               EventHandler<E,P,C,H,S> handler,
                               AbstractEventBus.Handle<E,P,C,K>[] inputs,
                               InferenceContext<E,P,C,K,H,S> inferenceContext)

Method Detail

### getHandler

    public EventHandler<E,P,C,H,S> getHandler()

### getInputs

    public AbstractEventBus.Handle<E,P,C,K>[] getInputs()

### getInferenceContext

    public InferenceContext<E,P,C,K,H,S> getInferenceContext()

### getHandlerId

    public K getHandlerId()

### setInferenceContext

    public void setInferenceContext(InferenceContext<E,P,C,K,H,S> inferenceContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD